Group 11 - !nfinity

(Kartik Singhal, 150050025) (Pranay Agrawal, 150050026) (Nilesh Gupta, 150050059)

Student 1: 100%
Student 2: 100%
Student 3: 100%

Student 1: I pledge on my honour that I have not given or received any unauthorized assistance on this assignment or any previous task.
Student 2: I pledge on my honour that I have not given or received any unauthorized assistance on this assignment or any previous task.
Student 3: I pledge that i will NOT use any source which is unauthorized, violate copyrights of the source and without giving proper credits to owner of the source for all my assignments.

***WE ARE USING ONE LATE DAY***

Citations:
http://www.w3schools.com/
https://www.mathjax.org/
http://www.w3schools.com/css/css_navbar.asp
http://www.unicode.org/
http://www.giphy.com/    //for gif
http://www.gasta.org/    //for gif
http://www.materializecss.com/
http://subtlepatterns.com/   //for background image
http://www.stackoverflow.com/

*Webpages are implemeted in parallax view.
*All images for website are in images folder, css files in cssfiles folder and javascript files in jsfilesfolder.


-Start with page home.html, here you can find link of all the webpages (internal link to webpage of lowest roll number and welonk of cse page of other two) of respective group members over there.
-Then after going to group member's page.You can scroll down to see the contents.
-Click on infinity symbol in top right corner to go back to the group page home.html
-Click on CS251 to go to the project or tasks page(cs251.html)
-Here you can see the floor map of 3rd floor(11%7-1=3) (Task D)
-Then you can see the pokemon information accordion.(accordion.js and accordion.css are respective javascript and css files) 																													(Task C)
-Then you can see the timetable
-Then you can see the formula of Lagrange's Theorem. implemented using mathjax.
-Then you can see the java form validation( formvalidation.js is the javascript file) (Task B)

Bonus Task 1- we have implemented fly form validation as described you can check that.
Bonus Task 2- we have edited 3 files by given name convention they are in folder pdf_bonus.(Used red underline as annotation.)
Link of forms
F1-http://asc.iitb.ac.in/webforms/Forms/Students/HCU/Application%20for%20Guest%20Accomodation%20in%20Hostel.pdf
	in form we can fill name of two guests but in sex column there is space for only one what if they are of opposite sex.
F2-http://asc.iitb.ac.in/webforms/Forms/Students/HCU/Application%20for%20Transfer%20of%20Hostels.pdf
	in form it is asked to fill the name of general secretary but it is not clear that we have to fill the general secretary of current hostel or the hostel in which we desire to transfer.

*Important mention-	1)http://asc.iitb.ac.in/webforms/Forms/Students/Security/Application%20for%20Student%20I-Card.pdf
					in this form for ID only 8 blocks are there but there should be 9 blocks. We can't edit it because it is a scanned file.
					2)http://asc.iitb.ac.in/webforms/Forms/FacultyStaff/Security/Application%20for%20Employees%20I-Card.pdf
					http://asc.iitb.ac.in/webforms/Forms/FacultyStaff/Security/Application%20for%20Duplicate%20I-Card%20for%20Employee%20and%20Family%20Members.pdf
					in the above two links one has 7 blocks for employee ID whereas one has 6 block for employee ID but we weren't sure which is correct so we didn't edit it.

Reflection Essay-
-We learnt html,css and javascript and inscape which are very important for web designing.
-We learnt inkscape which is importart for making images to display and editing pdf files.
-In html we learnt how to make forms, table, buttons.
-In CSS we learnt various aspect of designing a website.
-In javascript we learnt how to write functions, various functionalities of it like onclick,onfocus,onblur.
